Bug 176592 - [patch] audio/cmus fix ffmpeg depend
Summary: [patch] audio/cmus fix ffmpeg depend
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-01 21:40 UTC by cheunghonyu
Modified: 2013-03-06 23:30 UTC (History)
0 users

See Also:


Attachments
file.diff (535 bytes, patch)
2013-03-01 21:40 UTC, cheunghonyu
no flags Details | Diff
patch-cmus.txt (923 bytes, patch)
2013-03-06 12:22 UTC, Herbert J. Skuhra
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description cheunghonyu 2013-03-01 21:40:00 UTC
audio/cmus fails in "make configure" stage result from multimedia/ffmpeg-011 is no longer a valid port.

Fix: use new port multimedia/ffmpeg1 as the dependance

Patch attached with submission follows:
How-To-Repeat: compile audio/cmus with ffmpeg option
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-03-01 23:26:41 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Beech Rintoul freebsd_committer 2013-03-03 08:15:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 3 Beech Rintoul freebsd_committer 2013-03-03 19:19:28 UTC
State Changed
From-To: open->feedback

Awaiting maintainer response
Comment 4 Beech Rintoul freebsd_committer 2013-03-03 19:20:54 UTC
Maintainer of audio/cmus,

Please note that PR ports/176592 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/17692

Beech Rintoul
Comment 5 Herbert J. Skuhra 2013-03-06 12:22:44 UTC
Hei,

can you please commit the attached patch instead?

It also fixes a build problem when world is built with
'WITH_CLANG_IS_CC/WITHOUT_GCC'.

Thanks.

-- 
Herbert
Comment 6 dfilter service freebsd_committer 2013-03-06 23:22:03 UTC
Author: beech
Date: Wed Mar  6 23:21:55 2013
New Revision: 313556
URL: http://svnweb.freebsd.org/changeset/ports/313556

Log:
  - Fix configure with ffmpeg
  - Fix build with clang
  
  PR:		ports/176592
  Submitted by:	Hon-Yu Lawrence Cheung <cheunghonyu@gmail.com>
  Approved by:	"Herbert J. Skuhra" <h.skuhra@gmail.com> (maintainer)

Modified:
  head/audio/cmus/Makefile

Modified: head/audio/cmus/Makefile
==============================================================================
--- head/audio/cmus/Makefile	Wed Mar  6 23:18:23 2013	(r313555)
+++ head/audio/cmus/Makefile	Wed Mar  6 23:21:55 2013	(r313556)
@@ -16,6 +16,7 @@ USE_ICONV=	yes
 USE_NCURSES=	yes
 USE_PKGCONFIG=	build
 HAS_CONFIGURE=	yes
+CONFIGURE_ENV+=	HOSTCC=${CC}
 CONFIGURE_ARGS+=prefix=${PREFIX} mandir=${MANPREFIX}/man \
 		exampledir=${EXAMPLESDIR} \
 		CONFIG_ALSA=n CONFIG_ROAR=n
@@ -114,9 +115,9 @@ PLIST_SUB+=	WAVPACK="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MFFMPEG}
-FFMPEG_SUFFIX=	-011
-BUILD_DEPENDS+=	ffmpeg${FFMPEG_SUFFIX}>0.11:${PORTSDIR}/multimedia/ffmpeg${FFMPEG_SUFFIX}
-RUN_DEPENDS+=	ffmpeg${FFMPEG_SUFFIX}>0.11:${PORTSDIR}/multimedia/ffmpeg${FFMPEG_SUFFIX}
+FFMPEG_SUFFIX=	1
+BUILD_DEPENDS+=	ffmpeg${FFMPEG_SUFFIX}>=1:${PORTSDIR}/multimedia/ffmpeg${FFMPEG_SUFFIX}
+RUN_DEPENDS+=	ffmpeg${FFMPEG_SUFFIX}>=1:${PORTSDIR}/multimedia/ffmpeg${FFMPEG_SUFFIX}
 CONFIGURE_ARGS+=CONFIG_FFMPEG=y
 PLIST_SUB+=	FFMPEG=""
 .else
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Beech Rintoul freebsd_committer 2013-03-06 23:22:49 UTC
State Changed
From-To: feedback->closed

Committed (with maintainer changes), Thanks!